<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='ReadOnly Param Example' :maxState="5")
  template(v-slot:description)
    h5 This is a ParamReadonly example
    p Click on the #[em animate] to toggle edit mode.
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        +prop("title") the Param title
        +prop("value") the Param current live value
        +prop("inEdit") enter/exit edit mode in order to show validation errors and toggle the style

    div #[strong Data:]
      ul
        +prop("editValue") edit mode currently selected value

    div #[strong Signals:]
      ul
        +prop("edit") emitted whenever editValue is changed (with editValue new content)

  template(v-slot:code)
    template(v-pre).
      .row.justify-content-center.align-items-center.b-param-container
        BaseParamReadonly.col-12.col-sm-6(title='Readonly' :value='state' :inEdit='state !== 0')
        BaseParamReadonly.col-12.col-sm-6(title='Readonly with Validation' ref='test'
          @edit='$refs.test.checkValidity()' :value='state' :inEdit='state !== 0'
          type="number" :min='2' :max='3')
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleParamInput",
  components: { Example }
};

</script>
